BizKitHub
DocsAPI ReferenceLedger/bff/ledger/closing/fx-revaluation
postLedgerAdmin BFF

/bff/ledger/closing/fx-revaluation

Post the FX revaluation at the balance-sheet date

LedgerpostBffLedgerClosingFx-revaluation

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
periodIdstringRequired

Fiscal period external id.

Length: 16–24
ratesobjectRequired
reverseNextYearbooleanRequired

Response schema

1 status code documented

200Success
successbooleanRequired
entryIdstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
entryNostring | nullRequired
One of 2:
Variant 1
string
Variant 2
null

Response example

application/json
{
  "success": false
}

Request example

POST /bff/ledger/closing/fx-revaluation

post
curl -X POST "https://api.bizkithub.com/bff/ledger/closing/fx-revaluation" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "periodId": "example_periodId",
  "rates": {},
  "reverseNextYear": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key